# 2023-163
**Main Objective**
The proposed system for the Tailor shop has been designed to modernize the traditional tailoring process through the integration of advanced technologies, including Reinforcement Learning with AI modeling concepts. One of the key features of the system is the utilization of Augmented Reality (AR) technology, which enables automated measurement capturing through a 3D model. This 3D model is generated by scanning the customer's body, and the resulting measurements are compared to international clothing sizes to ensure accuracy. The AR model not only provides a visual representation of the customer's body measurements, but also serves as a reference for the tailors to guarantee a perfect fit.

In addition to the AR technology, the system also includes a machine learning-based clothing recommendation system that provides highly personalized suggestions. This recommendation system analyses the customer's previous purchase history and body measurements to tailor its recommendations. Predictive algorithms, including Reinforcement Learning, are employed to analyze the customer's behavior and provide the most relevant suggestions. The AI model is trained with Reinforcement Learning to continuously improve its recommendations over time.

The system is designed with the customer in mind and includes a user-friendly mobile app that allows for easy manipulation. Customers can use the app to make changes to their clothing designs before the tailoring process begins and to track the progress of their product in real time. This feature enables customers to ensure that the final product meets their expectations and to make any necessary modifications along the way.

In conclusion, the proposed system for the Tailor shop represents a major step forward for the tailoring industry, incorporating cutting-edge technologies such as AR, Machine Learning, and Reinforcement Learning. It automates the measurement process, provides personalized clothing recommendations, and offers a flexible and user-friendly system for tracking the progress of garments. This innovative solution has the potential to revolutionize the traditional tailoring industry and provide customers with a seamless and highly personalized experience.


**Main Research Questions**
Manual measurement of physical characteristics, such as body measurements, has been a common practice in various industries, including fashion and apparel. However, this method has several drawbacks that limit its accuracy and efficiency. Human error can significantly impact the accuracy of measurements, as individuals may misread the tape measure or measure the wrong part of the body, resulting in inaccuracies in the final data and negatively impacting the fit of the clothing.
Inconsistent measurements can also occur due to different people having different interpretations of where to place the tape measure, particularly in industries that require uniformity and consistency, such as the military and law enforcement. Additionally, manual measurement can be time-consuming, as measuring each person by hand can take a significant amount of time, leading to delays in production and increased costs.

Furthermore, manual measurements may only capture a limited set of data points, limiting the ability to analyze and optimize fit. The process of manual measurement is also inefficient for large-scale production, as measuring large numbers of people by hand can be time-consuming and resource intensive.

In conclusion, manual measurement may be a viable option in certain circumstances, but it is limited by factors such as human error, inconsistent measurements, time-consuming processes, limited data, and inefficiency for large-scale production. Companies looking to improve the accuracy and efficiency of their measurement processes may consider alternative solutions, such as digital cameras and automated measurement systems. These solutions can help increase accuracy and efficiency while reducing the risk of inaccuracies, difficulties in customer management and intimacy, and low product quality.


**Individual Research Questions**
*  Silva K.V
    Mechanism for Design Human 360 3D model & Handle Human Interaction with Reference system
*  Jayawardana J.K.M.D.T
    System For Monitor Human Behavior
*  Mudalige D.L.M
    Measurements Manipulated System using Mobile Application
*  Manaram M.G.T
    Mechanism For Capture Human Measurement


**Individual Objectives**
*  Silva K.V
    Designing a 3D model of the human body involves capturing accurate body measurements and using advanced technologies like image merging and merging of human body ratios. The data is pre-processed to ensure accuracy, and then a 3D model is created using a combination of these techniques. An AI component with reinforcement learning is utilized to train the models, incorporating machine learning and natural language processing. The validated AI algorithm generates an augmented reality representation of the human body, providing an immersive experience with customizable avatars. This process combines measurement capturing systems, AI, and augmented reality to revolutionize the fashion industry with personalized design and extends to applications in fitting rooms and medical simulations.

*  Jayawardana J.K.M.D.T
    This research aims to improve the user experience in fashion recommendation systems by integrating a live camera feed, analyzing user data and preferences, and leveraging AI and ML technologies to provide personalized recommendations that match the user's style and taste. The study also focuses on integrating reinforcement learning and machine learning in a camera-based system for detecting people and providing fashion recommendations based on their gender and detected features. Furthermore, the project aims to implement a real-time detection system using camera frames to detect people and alert the system if a person is not present in the designated area. By exploring innovative approaches and utilizing cutting-edge technologies, this research aims to create a more efficient and effective fashion recommendation system that meets the needs of today's consumers.
    
*  Mudalige D.L.M
    Development of a tailor specific mobile application geared towards customers' customization requests handling. 
    Design and implementation of an automated measurement manipulation system leveraging AI/AR techniques. 
    Analysis of the system’s performance.
    Develop a mobile application system for tailors, manage their clients properly

*  Manaram M.G.T
    The user stands in front of the camera, and upon receiving a signal from the system, turns their body to allow the system to capture all measurements accurately and efficiently, ensuring a convenient and accessible experience for the customer.


**Other Necessary Information**

* Planning 
1.	Gathering the set of results produced by the human behavior observation system and integrating those datasets into the human 3D model design process, which involves using data collected from sensors, cameras or other monitoring devices that track human movement, posture and other behaviors. By including accurate motions and postures into the design process, this information may be leveraged to enhance the accuracy and realism of 3D models.
	
2.	Collecting body measurement data from a human measurement capture system involves using tools such as 3D scanners, motion capture systems, or other sensors to capture precise measurements of the human body. Data pre-processing involves cleaning and standardizing data to ensure it is consistent and accurate.
	
3.	Based on the collected data, one may develop a mathematical model that accurately represents the human body using statistical techniques and machine learning algorithms. This is made feasible by merging machine learning (ML) and augmented reality (AR). Realistic 3D representations of the human body may then be created using this model.
4.	Using AR technologies to transform a pre-designed human 3D body shape into a graphical 3D avatar involves using software tools or libraries to create a 3D model that accurately represents the human body based on the developed model. This avatar can serve as the foundation for future personalization and creation.
	
5.	Implement an AI model to train 3D models with human body proportions using Machine Learning (ML) concepts, including using advanced statistical techniques and machine learning algorithms to create a model that accurately represents the human body based on the collected data. This method allows for accurate, lifelike 3D renderings of human bodies.
	
6.	Creating a fashion recommendation system for customers to customize their fashion designs using their own pre-created 3D avatar involves creating a user-friendly interface that allows customers to customize their designs using the 3D avatar as a base. The system should be designed to provide users with recommendations and insights on the latest fashion trends and consumer preferences.
	
7.	Testing the model with a different set of body measurements involves verifying that the model can accurately represent different body shapes and sizes. This includes using different data sets and test cases to ensure the model is robust and accurate.

8.	Measuring the model's performance against preset criteria to make sure it complies with the required performance requirements is part of evaluating the model's performance using metrics like accuracy, robustness, and speed.

9.	Iterating on the model and making changes as needed involves continuously improving the model based on feedback and testing. This may include refining the model or incorporating new datasets or algorithms to improve its accuracy and performance.

10.	Integrating the model into the end application, such as a virtual fitting room or fashion design software, involves incorporating the model into the software architecture and ensuring its seamless integration into the user interface. To make sure the system is user-friendly and satisfies end users' demands, it must be tested and improved.
   